"""UnicodeLexicon initialization module.
"""

__version__ = '1.0.0'

unicodelexicon_globals = globals()


def initialize(context):
    """Initialize the UnicodeLexicon product."""

    from UnicodeLexicon import UnicodeLexicon
    from UnicodeLexicon import manage_addLexiconForm
    from UnicodeLexicon import manage_addLexicon
    from UnicodeLexicon import getElementGroups
    from UnicodeLexicon import getElementNames

    context.registerClass(
        UnicodeLexicon,
        permission='Add Vocabularies',
        constructors=(manage_addLexiconForm,
                      manage_addLexicon,
                      getElementGroups,
                      getElementNames),
        icon='www/lexicon.gif'
    )

